Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.logging
Class Logger

    java.lang.Object
      org.neo4j.server.logging.Logger

    public class Logger

extends Object

Field Summary
`static Logger` | `log`

Constructor Summary
`Logger(Class<?> clazz)`
`Logger(String str)`

Method Summary
`void` | `debug(String message, Object... parameters)`
`void` | `error(String message, Object... parameters)`
`void` | `error(Throwable e)`
`void` | `fatal(String message, Object... parameters)`
`static Logger` | `getLogger(Class<?> clazz)`
`static Logger` | `getLogger(String logger)`
`void` | `info(String message, Object... parameters)`
`void` | `log(org.apache.log4j.Level level, String message, Object... parameters)`
`void` | `log(org.apache.log4j.Priority priority, String message, Throwable throwable)`
`void` | `trace(String message, Object... parameters)`
`void` | `warn(String message, Object... parameters)`
`void` | `warn(Throwable e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static Logger log

Constructor Detail

### Logger

    public Logger(Class<?> clazz)

### Logger

    public Logger(String str)

Method Detail

### getLogger

    public static Logger getLogger(Class<?> clazz)

### getLogger

    public static Logger getLogger(String logger)

### log

    public void log(org.apache.log4j.Priority priority,
                    String message,
                    Throwable throwable)

### log

    public void log(org.apache.log4j.Level level,
                    String message,
                    Object... parameters)

### fatal

    public void fatal(String message,
                      Object... parameters)

### error

    public void error(String message,
                      Object... parameters)

### error

    public void error(Throwable e)

### warn

    public void warn(Throwable e)

### warn

    public void warn(String message,
                     Object... parameters)

### info

    public void info(String message,
                     Object... parameters)

### debug

    public void debug(String message,
                      Object... parameters)

### trace

    public void trace(String message,
                      Object... parameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.